﻿using System;

namespace NTERA.Engine
{
	[AttributeUsage(AttributeTargets.Field, AllowMultiple = true)]
	public class LexerCharacterAttribute : Attribute
	{
		public char Character { get; }

		public LexerCharacterAttribute(char character)
		{
			Character = character;
		}
	}

	[AttributeUsage(AttributeTargets.Field, AllowMultiple = true)]
	public class LexerKeywordAttribute : Attribute
	{
		public string Keyword { get; }

		public LexerKeywordAttribute(string keyword)
		{
			Keyword = keyword;
		}
	}
}